Pogodoc
API Reference

Update Template

Updates template content, handles S3 storage cleanup for old content, updates template metadata in Strapi, and manages preview files. Removes unfinished tags after successful update.

PUT
/templates/{templateId}
AuthorizationBearer <token>

In: header

Path Parameters

templateIdstring
templateInfo
previewIds
contentIdstring

ID by which the new template content is saved

Response Body

application/json

curl -X PUT "https://api.pogodoc.com/v1/templates/string" \  -H "Content-Type: application/json" \  -d '{    "templateInfo": {      "title": "string",      "description": "string",      "type": "docx",      "sampleData": {        "property1": null,        "property2": null      },      "categories": [        "invoice"      ]    },    "previewIds": {      "pngJobId": "string",      "pdfJobId": "string"    },    "contentId": "string"  }'
{
  "newContentId": "string"
}